Package org.apache.lucene.queryparser.flexible.standard.builders

## Class RegexpQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.builders.RegexpQueryNodeBuilder

- All Implemented Interfaces:
    `QueryBuilder`, `StandardQueryBuilder`

      public class RegexpQueryNodeBuilder
      extends Object
      implements StandardQueryBuilder

  Builds a `RegexpQuery` object from a `RegexpQueryNode` object.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegexpQueryNodeBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegexpQuery` | `build​(QueryNode queryNode)` | Builds some kind of object from a query tree.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexpQueryNodeBuilder

          public RegexpQueryNodeBuilder()

  - ### Method Detail

    - #### build

          public RegexpQuery build​(QueryNode queryNode)
                            throws QueryNodeException

      Description copied from interface: `QueryBuilder`
      Builds some kind of object from a query tree.
      Specified by:
        `build` in interface `QueryBuilder`
      Specified by:
        `build` in interface `StandardQueryBuilder`
      Parameters:
        `queryNode` - the query tree root node
      Returns:
        some object generated from the query tree
      Throws:
        `QueryNodeException`